From 59b2b0925ed5546ab4fd28ff9c9718d7c62e05b1 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Tue, 9 Jun 2009 11:50:16 +0200
Subject: [PATCH] Fix getline conflict with glibc

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 procmail.spec |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/procmail.spec b/procmail.spec
index 1db9238..289b6bf 100644
--- a/procmail.spec
+++ b/procmail.spec
@@ -1,7 +1,7 @@
 Summary: The procmail mail processing program
 Name: procmail
 Version: 3.22
-Release: 23%{?dist}
+Release: 23%{?dist}.fa1
 License: GPLv2+ or Artistic
 Group: Applications/Internet
 Source: ftp://ftp.procmail.org/pub/procmail/procmail-%{version}.tar.gz
@@ -31,6 +31,7 @@ forward certain incoming mail automatically to someone.
 %patch5 -p1 -b .ipv6
 
 find examples -type f | xargs chmod 644
+sed -i -e 's/getline/get_line/g' src/*.c src/*.h
 
 %build
 make RPM_OPT_FLAGS="$(getconf LFS_CFLAGS)" autoconf.h
@@ -64,6 +65,9 @@ rm -rf ${RPM_BUILD_ROOT}
 %{_mandir}/man[15]/*
 
 %changelog
+* Tue Jun 09 2009 Jitesh Shah <jiteshs@marvell.com> - 3.22.23.fa1
+- Fixes this getline error: http://bugs.gentoo.org/show_bug.cgi?id=270551
+
 * Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.22-23
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

